package mosaic.util.custom;

import java.beans.*;

/**
 * Simple Class for sorting arrays of PropertyDescriptors.
 * Currently the properties name will be used as criteria, result is
 * returned in increasing order.
 *
 * @author Thomas Hilpold
 * @version 09 Jan 1999
 */
public class PropertyDescSorter {

    /** sorts an PropertyDesciptor array - criterium is name of Property
     *  very simple algorithm, array is supposed to be small
     */
    public static void sortAlpha(PropertyDescriptor[] descs) {
        int posOfLowest = 0;
        PropertyDescriptor lowest;
        PropertyDescriptor swap;
        for (int i =0; i < descs.length - 1; i++) {
            lowest = descs[i];
            posOfLowest = i;
            for (int j = i; j < descs.length; j++) {
                // if j.name < lowest.name
                if (descs[j].getName().compareTo(lowest.getName()) < 0) {
                    posOfLowest = j;
                    lowest = descs[j];
                    }
            }
            swap = descs[i];
            descs[i] = lowest;
            descs[posOfLowest] = swap;
        }
    }
}
