package mosaic.sim.kernel.continuous;

/**
* Diese Ausnahmebedingung zeigt an, da versucht wird, einer Variablen, die eine
* definierende Variable besitzt, eine Simulationszeit zuzuweisen. Dies ist nicht
* mglich, da die Simulationszeit durch die definierende Variable vorgegeben
* wird.
*/

public class CSECanNotSetTime
   extends ContSimulationException
   {
   /**
   * Erzeugt eine Instanz dieser Klasse mit fixem Fehlertext.
   */
   public CSECanNotSetTime()
      { this("can not set time for variable"); }

   /**
   * Erzeugt eine Instanz der Klasse mit bergebenem Fehlertext.
   * @param s Fehlertext der Ausnahmebedingung
   */
   public CSECanNotSetTime(String s)
      { super(s); }
   } // class CSECanNotSetTIme

// end of CSECanNotSetTime.java

