package mosaic.sim.kernel.continuous;

import mosaic.sim.kernel.*;
import mosaic.sim.kernel.simevent.*;
  
/**
* Interface which must be supported by all components which signal input events.
*/

public interface UserEventComponent
   extends SimEventComponent
   {
      
   /**
   * Add InputEventListener
   */
   public void addInputEventListener(InputEventListener inputEventListener);

   /**
   * Remove InputEventListener
   */
   public void removeInputEventListener(InputEventListener inputEventListener);
   } // interface InputEventComponent

// end of StateEventComponent.java


     
