package mosaic.sim.kernel.output;
import javax.swing.*;
import java.awt.*;   
import java.net.URL;     

public class BackgroundComponent extends JComponent {

    public BackgroundComponent() {
        try  {
            jbInit();
        }
        catch(Exception e) {
            e.printStackTrace();
        }
    }

    private void jbInit() throws Exception {}

    // Property image to set background --------------------------------------

    ImageIcon img;
    String imageFileName;

    public void setImageFileName(String filename)
    {   // try to get gif from filename
        URL imgUrl = this.getClass().getResource(filename);
        if (imgUrl != null) {
            img = new ImageIcon(imgUrl);
            if (img != null) {
                imageFileName = filename;
            }
        }
    }

    public String getImageFileName()
    {   return imageFileName;
    }
                          
    public void setImageURL(URL url)
    {   // try to get gif from URL
        img = new ImageIcon(url);
        if (img != null)
            imageFileName = url.toString();
    }     
    // overwrite paintComponent to draw background picture
    public void paintComponent (Graphics g) {
        if (img != null)
            g.drawImage(img.getImage(),0,0,this);
    }


}