package mosaic.sim.kernel.output;

import java.awt.*;

public class VerticalBarView extends ContVariableView {

// Class paints a vertical bar whos height depends on actual value,
// Maximum Size is defined by property maxValue
    public VerticalBarView() {
    }

    public void paintValue(Graphics g) {
        double val = Math.min(this.getDoubleValue(), max);
        g.setColor(getForeground());
        g.fillRect(0,(int)(getHeight()*(((max-min)-val)/(max-min))),
                   getWidth(), (int)(getHeight()*(val/(max-min))) );
    }

}