
//Titel:SimBeans 0.3
//Version:
//Copyright:Copyright (c) 1998
//Autor:Herbert Praehofer
//Organisation:
//Beschreibung:utilities for simulation kernel

package mosaic.sim.kernel.random;

import java.beans.*;

public class ConstantTimeSeedBeanInfo extends SimpleBeanInfo {
  Class beanClass = ConstantTimeSeed.class;
  String iconColor16x16Filename;
  String iconColor32x32Filename;
  String iconMono16x16Filename;
  String iconMono32x32Filename;

  
  public ConstantTimeSeedBeanInfo() {
  }

  public PropertyDescriptor[] getPropertyDescriptors() {
    try  {
      PropertyDescriptor _constant = new PropertyDescriptor("constant", beanClass, "getConstant", "setConstant");
      _constant.setDisplayName("constant");
      _constant.setShortDescription("constant");
      
      PropertyDescriptor[] pds = new PropertyDescriptor[] {
        _constant,
      };
      return pds;
    }
    catch (IntrospectionException ex) {
      ex.printStackTrace();
      return null;
    }
  }

  public java.awt.Image getIcon(int iconKind) {
    switch (iconKind) {
    case BeanInfo.ICON_COLOR_16x16:
      return iconColor16x16Filename != null ? loadImage(iconColor16x16Filename) : null;
    case BeanInfo.ICON_COLOR_32x32:
      return iconColor32x32Filename != null ? loadImage(iconColor32x32Filename) : null;
    case BeanInfo.ICON_MONO_16x16:
      return iconMono16x16Filename != null ? loadImage(iconMono16x16Filename) : null;
    case BeanInfo.ICON_MONO_32x32:
      return iconMono32x32Filename != null ? loadImage(iconMono32x32Filename) : null;
    }
    return null;
  }
}




 