package mosaic.sim.kernel.variable;

/** Connection establishes a connection between to Variables. */

public interface Connection extends Coupler {
  /** Set the domain variable */
  void setDomain(Variable domain) throws VariableException;

  /** Get the domain variable */
  Variable getDomain();

  /** Set the target variable */
  void setTarget(Variable target) throws VariableException;

  /** Get the target variable */
  Variable getTarget();

  void disable();

  void enable();

}
