package mosaic.util.custom;

/**
 * This is the interface which has to be implemented by PropertyEditors
 * for Collections or Arrays, which want to use the CustomArrayPropEditor
 * as a visual custom Editor.
 *
 * @version 17 Feb 1999
 * @author Thomas Hilpold
 */
public interface CustomArrayEditorAdapter {

    /** sets the given Array; conversion to another type may be necessary */
    public void setAsArray(Object newVal);

    /** returns an Array */
    public Object getAsArray();

} 