package mosaic.util.custom;

import java.awt.*;
import java.awt.event.*;
import java.beans.*;
import java.lang.reflect.Array;
import javax.swing.*;

/**
 * This class is intended to be used only with the EditorTester class.
 * See EditorTester Class for Documentation
 *
 * @version 01/02/1999 (mm/dd/yyyy)
 * @author Thomas Hilpold
 * @see sim.custom.EditorTester
 */
public class EditorTestFrame extends JFrame {

    //Frame konstruieren
    JButton getClassButton = new JButton();
    JLabel editorLabel = new JLabel();
    JButton getAsTextButton = new JButton();
    JButton setAsTextButton = new JButton();
    JButton getTagsButton = new JButton();
    JButton getValueButton = new JButton();
    JButton getInitStringButton = new JButton();
    JComboBox getTagsCombo = new JComboBox();
    JButton getCustomEditorButton = new JButton();
    JLabel supportCustomEdLabel = new JLabel();
    JButton supportsCustomButton = new JButton();
    JLabel getAsTextLabel = new JLabel();
    JTextField setAsTextField = new JTextField();
    JLabel getValueLabel = new JLabel();
    JTextArea getInitTextArea = new JTextArea();
    JLabel jLabel2 = new JLabel();

    public EditorTestFrame() {
        enableEvents(AWTEvent.WINDOW_EVENT_MASK);
        try  {
            jbInit();
        }
        catch (Exception e) {
            e.printStackTrace();
        }
    }
//Initialisierung der Komponente

    private void jbInit() throws Exception  {
        this.getContentPane().setLayout(null);
        this.setSize(new Dimension(472, 604));
        getClassButton.setText("getClass&Editor");
        getClassButton.setBounds(new Rectangle(291, 9, 137, 23));
        getClassButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(ActionEvent e) {
                getClassAndEditor(e);
            }
        });
        editorLabel.setText("Editor: enter Classname first");
        editorLabel.setBounds(new Rectangle(6, 37, 337, 22));
        getAsTextButton.setText("getAsText");
        getAsTextButton.setBounds(new Rectangle(7, 124, 130, 30));
        getAsTextButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(ActionEvent e) {
                getAsText(e);
            }
        });
        setAsTextButton.setBounds(new Rectangle(7, 162, 130, 30));
        setAsTextButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(ActionEvent e) {
                setAsText(e);
            }
        });
        getTagsButton.setBounds(new Rectangle(7, 200, 130, 30));
        getTagsButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(ActionEvent e) {
                getTags(e);
            }
        });
        getValueButton.setBounds(new Rectangle(7, 237, 130, 30));
        getValueButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(ActionEvent e) {
                getValue(e);
            }
        });
        getInitStringButton.setText("getInitString");
        getInitStringButton.setBounds(new Rectangle(149, 350, 131, 27));
        getInitStringButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(ActionEvent e) {
                getInitString(e);
            }
        });
        getTagsCombo.setBounds(new Rectangle(154, 199, 226, 32));
        getCustomEditorButton.setText("get&OpenCus");
        getCustomEditorButton.setBounds(new Rectangle(7, 317, 130, 30));
        getCustomEditorButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(ActionEvent e) {
                getCustomEditor(e);
            }
        });
        supportCustomEdLabel.setText("true / false");
        supportCustomEdLabel.setBounds(new Rectangle(155, 273, 273, 32));
        supportsCustomButton.setText("supportsCustom");
        supportsCustomButton.setBounds(new Rectangle(7, 275, 130, 30));
        supportsCustomButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(ActionEvent e) {
                supportsCustom(e);
            }
        });
        getAsTextLabel.setText("getAsText");
        getAsTextLabel.setBounds(new Rectangle(145, 119, 238, 32));
        setAsTextField.setText("enter Text here");
        setAsTextField.setBounds(new Rectangle(155, 159, 273, 32));
        getValueLabel.setText("getVal");
        getValueLabel.setBounds(new Rectangle(155, 235, 273, 32));
        getInitTextArea.setLineWrap(true);
        getInitTextArea.setMaximumSize(new Dimension(300, 600));
        getInitTextArea.setPreferredSize(new Dimension(300, 600));
        jLabel2.setText("set will be called after close automatically");
        jLabel2.setBounds(new Rectangle(155, 311, 273, 32));
        initScrollPane1.setAutoscrolls(true);
        initScrollPane1.setBounds(new Rectangle(7, 379, 440, 189));
        classCombo.setEditable(true);
        classCombo.setToolTipText("entered vals will not be remebered after restart");
        classCombo.setBounds(new Rectangle(5, 7, 273, 26));
        classLabel.setText("Class: enter Classname first");
        classLabel.setBounds(new Rectangle(4, 61, 290, 26));
        setDnButton.setText("v");
        setDnButton.setFont(new Font("Dialog", 0, 14));
        setDnButton.setBounds(new Rectangle(386, 123, 41, 25));
        setUpButton.setText("^");
        setUpButton.setFont(new Font("Dialog", 0, 18));
        setUpButton.setBounds(new Rectangle(387, 201, 41, 25));
        arrayRadio.setText("jRadioButton1");
        arrayRadio.setText("ArrayEditor");
        arrayRadio.setBounds(new Rectangle(302, 41, 91, 22));
        genericRadio.setText("jRadioButton2");
        genericRadio.setText("GenericBEdit");
        genericRadio.setBounds(new Rectangle(302, 62, 91, 22));
        askEManRadio.setText("jRadioButton3");
        askEManRadio.setText("Ask EManager");
        askEManRadio.setSelected(true);
        askEManRadio.setBounds(new Rectangle(302, 83, 108, 22));
        setUpButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(ActionEvent e) {
                setUpButton(e);
            }
        });
        setDnButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(ActionEvent e) {
                setDnButton(e);
            }
        });
        getValueButton.setText("getValue");
        getTagsButton.setText("getTags");
        setAsTextButton.setText("setAsText");
        this.setTitle("EditorTestFrame");
        this.getContentPane().add(getClassButton, null);
        this.getContentPane().add(editorLabel, null);
        this.getContentPane().add(getAsTextButton, null);
        this.getContentPane().add(setAsTextButton, null);
        this.getContentPane().add(getTagsButton, null);
        this.getContentPane().add(getValueButton, null);
        this.getContentPane().add(getInitStringButton, null);
        this.getContentPane().add(getTagsCombo, null);
        this.getContentPane().add(getCustomEditorButton, null);
        this.getContentPane().add(supportCustomEdLabel, null);
        this.getContentPane().add(supportsCustomButton, null);
        this.getContentPane().add(getAsTextLabel, null);
        this.getContentPane().add(setAsTextField, null);
        this.getContentPane().add(getValueLabel, null);
        this.getContentPane().add(getInitTextArea, null);
        this.getContentPane().add(jLabel2, null);
        this.getContentPane().add(initScrollPane1, null);
        initScrollPane1.getViewport().add(getInitTextArea, null);
        this.getContentPane().add(classCombo, null);
        this.getContentPane().add(classLabel, null);
        this.getContentPane().add(setDnButton, null);
        this.getContentPane().add(setUpButton, null);
        this.getContentPane().add(arrayRadio, null);
        this.getContentPane().add(genericRadio, null);
        this.getContentPane().add(askEManRadio, null);
        group.add(arrayRadio);
        group.add(genericRadio);
        group.add(askEManRadio);
    }

    protected void processWindowEvent(WindowEvent e) {
        super.processWindowEvent(e);
        if (e.getID() == WindowEvent.WINDOW_CLOSING) {
            System.exit(0);
        }
    }

    void getClassAndEditor(ActionEvent event) {
        boolean found = true;
        String classButtonText;
        Class myPropertyClass;
        String classString;
        /* try to get Class */
        classString = (String)classCombo.getSelectedItem();
        /* its not documented, that Class.forName can return Class Objects
         * representing primitive Types, so if an asterisk is the first
         * char in the string, we  try to get a "primitive class"
         *
         * This could be possible, because the Class class declares a
         * Method getPrimitiveClass(String), but only with package visibility,
         * see code of java.lang.Class
         */
        try {
            if (   (classString != null)
                && (classString.length() >= 1)
                && (classString.charAt(0) == '*')
               ) {
                if (classString.equals("*bool"))
                                                myPropertyClass = Boolean.TYPE;
                else if (classString.equals("*byte"))
                                                myPropertyClass = Byte.TYPE;
                else if (classString.equals("*double"))
                                                myPropertyClass = Double.TYPE;
                else if (classString.equals("*float"))
                                                myPropertyClass = Float.TYPE;
                else if (classString.equals("*int"))
                                                myPropertyClass = Integer.TYPE;
                else if (classString.equals("*long"))
                                                myPropertyClass = Long.TYPE;
                else if (classString.equals("*short"))
                                                myPropertyClass = Short.TYPE;
                else throw new ClassNotFoundException();
            }
            else {
                myPropertyClass = Class.forName(classString);
            }
            if (this.arrayRadio.isSelected()) myPropertyClass =
                        Array.newInstance(myPropertyClass, 0).getClass();

        } catch(ClassNotFoundException e) {
            found = false;
            System.err.println(e);
            myPropertyClass = null;
            classButtonText = getClassButton.getText();
            getClassButton.setText("NOT FOUND");
            editorLabel.setText("not found - try another");
            classLabel.setText("not found - try another");
            /*try {
                this.wait(2000);
            } catch (InterruptedException ex) {
                System.err.println(this.toString() + ex);
            };
            */
            getClassButton.setText(classButtonText);
        };

        /** newInstance with non arg constructor,
         *  findEditor and setValue(newInstance);
         */
        if (found) {
            Object prop;
            /** PEM returns null, if he cant find a pe */
            classLabel.setText("Class: " + myPropertyClass.toString());
            if (myPropertyClass.isArray())
                propertyEditor = new ArrayEditor();
            else if (genericRadio.isSelected())
                propertyEditor = new GenericBeanEditor();
            else
                propertyEditor = PropertyEditorManager.findEditor(myPropertyClass);
            if (propertyEditor != null) {
                propEditFound = true;
                editorLabel.setText("Editor: " + propertyEditor.toString());
                try {
                    if (myPropertyClass.isArray())
                        prop = Array.newInstance(myPropertyClass.getComponentType(),0);
                    else
                        prop = myPropertyClass.newInstance();
                } catch (Exception ex) {
                    System.err.println(this.toString() + ex);
                    prop = null;
                };
                propertyEditor.setValue(prop);
            }
            else {
                propEditFound = false;
                editorLabel.setText("Editor: PropertyEditorManager returned null - none found");
            };
        };
    }
    PropertyEditor propertyEditor;
    boolean propEditFound = false;
    JScrollPane initScrollPane1 = new JScrollPane();
    JComboBox classCombo = new JComboBox();
    JLabel classLabel = new JLabel();
    JButton setDnButton = new JButton();
    JButton setUpButton = new JButton();
    ButtonGroup group = new ButtonGroup();
    JRadioButton arrayRadio = new JRadioButton();
    JRadioButton genericRadio = new JRadioButton();
    JRadioButton askEManRadio = new JRadioButton();


    void getAsText(ActionEvent e) {
        if (propEditFound)
            getAsTextLabel.setText(propertyEditor.getAsText());
    }

    void setAsText(ActionEvent e) {
        if (propEditFound)
            try {
                propertyEditor.setAsText(setAsTextField.getText());
            } catch (Exception ex) {
                System.err.println("setAsText: " + ex);
            };
    }

    void getTags(ActionEvent e) {
        String[] tags;
        if (propEditFound) {
            tags = propertyEditor.getTags();
            getTagsCombo.setModel(new DefaultComboBoxModel());
            if (tags != null) {
                for (int i = 0; i < tags.length; i++) {
                    getTagsCombo.addItem(tags[i]);
                }
                getTagsCombo.setSelectedIndex(0);
            }
            else
                getTagsCombo.addItem("NO TAGS SUPPORTED");
        }
    }

    void getTagsComboSelected(ItemEvent e) {
        setAsTextField.setText((String)getTagsCombo.getSelectedItem());
    }

    void supportsCustom(ActionEvent e) {
        if (propEditFound && propertyEditor.supportsCustomEditor())
            supportCustomEdLabel.setText("TRUE");
        else
            supportCustomEdLabel.setText("FALSE");
    }

    void getCustomEditor(ActionEvent e) {
        Dialog propDialog;
        if (propEditFound && propertyEditor.supportsCustomEditor()) {
            propDialog = new CustomEditorDialog(propertyEditor.getCustomEditor(),
                "CustomEditorDialog");
            propDialog.setVisible(true); // pops down automatically
            toFront();

            /**  user should call getValue afterwards */
        }
    }

    void getInitString(ActionEvent e) {
        String initStr;
        if (propEditFound) {
            initStr = propertyEditor.getJavaInitializationString();
            getInitTextArea.setText(initStr);
        }
    }

    void getValue(ActionEvent e) {
        if (propEditFound) {
            Object obj = propertyEditor.getValue();
            if (obj != null)
                getValueLabel.setText(obj.toString());
            else
                getValueLabel.setText("has returned NULL");
        }
    }

    void setNewClassDefaults(String[] vals) {
        classCombo.addItem(" "); //index 0 should be the editable one
        for (int i = 0; i < vals.length; i++) {
            classCombo.addItem(vals[i]);
        }
    }

    void setDnButton(ActionEvent e) {
        setAsTextField.setText(getAsTextLabel.getText());
    }

    void setUpButton(ActionEvent e) {
        setAsTextField.setText((String)getTagsCombo.getSelectedItem());
    }
}


